"use strict";

Liferay.Loader.define("change-tracking-change-lists-history-web@1.0.13/js/ChangeListsHistory.soy", ['module', 'exports', 'require', 'frontend-js-metal-web$metal-component', 'frontend-js-metal-web$metal-soy'], function (module, exports, require) {
  var define = undefined;
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  exports.default = exports.templates = exports.comliferaychangetrackingchangelistshistorywebChangeListsHistory = void 0;

  var _metalComponent = _interopRequireDefault(require("frontend-js-metal-web$metal-component"));

  var _metalSoy = _interopRequireDefault(require("frontend-js-metal-web$metal-soy"));

  function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }

  function _typeof(obj) {
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function _typeof(obj) {
        return typeof obj;
      };
    } else {
      _typeof = function _typeof(obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }return _typeof(obj);
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (_typeof(call) === "object" || typeof call === "function")) {
      return call;
    }return _assertThisInitialized(self);
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }return self;
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };return _getPrototypeOf(o);
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;return o;
    };return _setPrototypeOf(o, p);
  }

  var templates;
  exports.templates = templates;
  goog.loadModule(function (exports) {
    var soy = goog.require('soy');

    var soydata = goog.require('soydata'); // This file was automatically generated from ChangeListsHistory.soy.
    // Please don't edit this file by hand.

    /**
     * @fileoverview Templates in namespace com.liferay.change.tracking.change.lists.history.web.ChangeListsHistory.
     * @public
     */

    goog.module('com.liferay.change.tracking.change.lists.history.web.ChangeListsHistory.incrementaldom');

    goog.require('goog.soy.data.SanitizedContent');

    goog.require('goog.string');

    var incrementalDom = goog.require('incrementaldom');

    goog.require('soy.asserts');

    var soyIdom = goog.require('soy.idom');

    var $templateAlias1 = _metalSoy.default.getTemplate('ClayLabel.incrementaldom', 'render');

    var $templateAlias2 = _metalSoy.default.getTemplate('ClayProgressBar.incrementaldom', 'render');

    var $templateAlias3 = _metalSoy.default.getTemplate('ClaySticker.incrementaldom', 'render');
    /**
     * @param {{
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  processEntries: (!Array<{description: (!goog.soy.data.SanitizedContent|string), detailsLink: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), percentage: number, state: (!goog.soy.data.SanitizedContent|string), timestamp: (!goog.soy.data.SanitizedContent|string), userInitials: (!goog.soy.data.SanitizedContent|string), userName: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
     *  loaded: (boolean|null|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $render(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var spritemap = soy.asserts.assertType(goog.isString(opt_data.spritemap) || opt_data.spritemap instanceof goog.soy.data.SanitizedContent, 'spritemap', opt_data.spritemap, '!goog.soy.data.SanitizedContent|string');
      /** @type {!Array<{description: (!goog.soy.data.SanitizedContent|string), detailsLink: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), percentage: number, state: (!goog.soy.data.SanitizedContent|string), timestamp: (!goog.soy.data.SanitizedContent|string), userInitials: (!goog.soy.data.SanitizedContent|string), userName: (!goog.soy.data.SanitizedContent|string)}>|null|undefined} */

      var processEntries = soy.asserts.assertType(opt_data.processEntries == null || goog.isArray(opt_data.processEntries), 'processEntries', opt_data.processEntries, '!Array<{description: (!goog.soy.data.SanitizedContent|string), detailsLink: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), percentage: number, state: (!goog.soy.data.SanitizedContent|string), timestamp: (!goog.soy.data.SanitizedContent|string), userInitials: (!goog.soy.data.SanitizedContent|string), userName: (!goog.soy.data.SanitizedContent|string)}>|null|undefined');
      /** @type {boolean|null|undefined} */

      var loaded = soy.asserts.assertType(opt_data.loaded == null || goog.isBoolean(opt_data.loaded) || opt_data.loaded === 1 || opt_data.loaded === 0, 'loaded', opt_data.loaded, 'boolean|null|undefined');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('id', 'change-list-history');
      incrementalDom.elementOpenEnd();

      if (!loaded) {
        $loading(null, null, opt_ijData);
      } else {
        if (processEntries) {
          var processEntry37List = processEntries;
          var processEntry37ListLen = processEntry37List.length;

          for (var processEntry37Index = 0; processEntry37Index < processEntry37ListLen; processEntry37Index++) {
            var processEntry37Data = processEntry37List[processEntry37Index];
            var cardState__soy19 = processEntry37Data.state == 'published' ? 'border-left-green' : processEntry37Data.state == 'in-progress' ? 'border-left-orange' : 'border-left-red';
            var labelState__soy21 = processEntry37Data.state == 'published' ? 'success' : processEntry37Data.state == 'in-progress' ? 'warning' : 'danger';
            $processCard({
              cardState: cardState__soy19,
              changeListName: processEntry37Data.name,
              changeListDescription: processEntry37Data.description,
              changeListDetailsLink: processEntry37Data.detailsLink,
              labelState: labelState__soy21,
              labelText: processEntry37Data.state,
              percentage: processEntry37Data.percentage,
              spritemap: spritemap,
              timestamp: processEntry37Data.timestamp,
              userName: processEntry37Data.userName,
              userInitials: processEntry37Data.userInitials,
              userPortraitURL: ''
            }, null, opt_ijData);
          }
        }
      }

      incrementalDom.elementClose('div');
    }

    exports.render = $render;
    /**
     * @typedef {{
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  processEntries: (!Array<{description: (!goog.soy.data.SanitizedContent|string), detailsLink: (!goog.soy.data.SanitizedContent|string), name: (!goog.soy.data.SanitizedContent|string), percentage: number, state: (!goog.soy.data.SanitizedContent|string), timestamp: (!goog.soy.data.SanitizedContent|string), userInitials: (!goog.soy.data.SanitizedContent|string), userName: (!goog.soy.data.SanitizedContent|string)}>|null|undefined),
     *  loaded: (boolean|null|undefined)
     * }}
     */

    $render.Params;

    if (goog.DEBUG) {
      $render.soyTemplateName = 'com.liferay.change.tracking.change.lists.history.web.ChangeListsHistory.render';
    }
    /**
     * @param {{
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  cardState: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListDescription: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListDetailsLink: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  labelState: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  labelText: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  percentage: (null|number|undefined),
     *  timestamp: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userInitials: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userPortraitURL: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $processCard(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      /** @type {!goog.soy.data.SanitizedContent|string} */

      var spritemap = soy.asserts.assertType(goog.isString(opt_data.spritemap) || opt_data.spritemap instanceof goog.soy.data.SanitizedContent, 'spritemap', opt_data.spritemap, '!goog.soy.data.SanitizedContent|string');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var cardState = soy.asserts.assertType(opt_data.cardState == null || goog.isString(opt_data.cardState) || opt_data.cardState instanceof goog.soy.data.SanitizedContent, 'cardState', opt_data.cardState, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var changeListName = soy.asserts.assertType(opt_data.changeListName == null || goog.isString(opt_data.changeListName) || opt_data.changeListName instanceof goog.soy.data.SanitizedContent, 'changeListName', opt_data.changeListName, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var changeListDescription = soy.asserts.assertType(opt_data.changeListDescription == null || goog.isString(opt_data.changeListDescription) || opt_data.changeListDescription instanceof goog.soy.data.SanitizedContent, 'changeListDescription', opt_data.changeListDescription, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var changeListDetailsLink = soy.asserts.assertType(opt_data.changeListDetailsLink == null || goog.isString(opt_data.changeListDetailsLink) || opt_data.changeListDetailsLink instanceof goog.soy.data.SanitizedContent, 'changeListDetailsLink', opt_data.changeListDetailsLink, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var labelState = soy.asserts.assertType(opt_data.labelState == null || goog.isString(opt_data.labelState) || opt_data.labelState instanceof goog.soy.data.SanitizedContent, 'labelState', opt_data.labelState, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var labelText = soy.asserts.assertType(opt_data.labelText == null || goog.isString(opt_data.labelText) || opt_data.labelText instanceof goog.soy.data.SanitizedContent, 'labelText', opt_data.labelText, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {null|number|undefined} */

      var percentage = soy.asserts.assertType(opt_data.percentage == null || goog.isNumber(opt_data.percentage), 'percentage', opt_data.percentage, 'null|number|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var timestamp = soy.asserts.assertType(opt_data.timestamp == null || goog.isString(opt_data.timestamp) || opt_data.timestamp instanceof goog.soy.data.SanitizedContent, 'timestamp', opt_data.timestamp, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var userName = soy.asserts.assertType(opt_data.userName == null || goog.isString(opt_data.userName) || opt_data.userName instanceof goog.soy.data.SanitizedContent, 'userName', opt_data.userName, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var userInitials = soy.asserts.assertType(opt_data.userInitials == null || goog.isString(opt_data.userInitials) || opt_data.userInitials instanceof goog.soy.data.SanitizedContent, 'userInitials', opt_data.userInitials, '!goog.soy.data.SanitizedContent|null|string|undefined');
      /** @type {!goog.soy.data.SanitizedContent|null|string|undefined} */

      var userPortraitURL = soy.asserts.assertType(opt_data.userPortraitURL == null || goog.isString(opt_data.userPortraitURL) || opt_data.userPortraitURL instanceof goog.soy.data.SanitizedContent, 'userPortraitURL', opt_data.userPortraitURL, '!goog.soy.data.SanitizedContent|null|string|undefined');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'process-card ' + cardState);
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'process-card-text');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'card-row');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'col-sm-6');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpen('h4');
      incrementalDom.elementOpenStart('a');
      incrementalDom.attr('href', changeListDetailsLink);
      incrementalDom.elementOpenEnd();
      soyIdom.print(changeListName);
      incrementalDom.elementClose('a');
      incrementalDom.elementClose('h4');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'text');
      incrementalDom.elementOpenEnd();
      soyIdom.print(changeListDescription);
      incrementalDom.elementClose('div');
      $templateAlias1({
        spritemap: spritemap,
        label: labelText,
        style: labelState
      }, null, opt_ijData);
      incrementalDom.elementClose('div');
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'col-sm-6');
      incrementalDom.elementOpenEnd();

      if (percentage && labelText == 'in-progress') {
        $templateAlias2({
          spritemap: spritemap,
          value: percentage
        }, null, opt_ijData);
      }

      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'text-bottom text-rigth');
      incrementalDom.elementOpenEnd();
      soyIdom.print(timestamp);
      incrementalDom.text(' ');
      /** @desc  */

      var MSG_EXTERNAL_1719091699885493218 = Liferay.Language.get('by');
      incrementalDom.text(goog.string.unescapeEntities(MSG_EXTERNAL_1719091699885493218));
      incrementalDom.text(' ');
      soyIdom.print(userName);

      if (userInitials) {
        $templateAlias3({
          elementClasses: 'rounded-circle',
          spritemap: spritemap,
          label: userInitials,
          shape: 'circle'
        }, null, opt_ijData);
      } else if (userPortraitURL) {
        incrementalDom.elementOpenStart('div');
        incrementalDom.attr('class', 'aspect-ratio-bg-cover user-icon user-icon-lg');
        incrementalDom.attr('style', 'background-image:url(' + userPortraitURL + ')');
        incrementalDom.elementOpenEnd();
        incrementalDom.elementClose('div');
      }

      incrementalDom.elementClose('div');
      incrementalDom.elementClose('div');
      incrementalDom.elementClose('div');
      incrementalDom.elementClose('div');
      incrementalDom.elementClose('div');
    }

    exports.processCard = $processCard;
    /**
     * @typedef {{
     *  spritemap: (!goog.soy.data.SanitizedContent|string),
     *  cardState: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListDescription: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  changeListDetailsLink: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  labelState: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  labelText: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  percentage: (null|number|undefined),
     *  timestamp: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userName: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userInitials: (!goog.soy.data.SanitizedContent|null|string|undefined),
     *  userPortraitURL: (!goog.soy.data.SanitizedContent|null|string|undefined)
     * }}
     */

    $processCard.Params;

    if (goog.DEBUG) {
      $processCard.soyTemplateName = 'com.liferay.change.tracking.change.lists.history.web.ChangeListsHistory.processCard';
    }
    /**
     * @param {Object<string, *>=} opt_data
     * @param {Object<string, *>=} opt_ijData
     * @param {Object<string, *>=} opt_ijData_deprecated
     * @return {void}
     * @suppress {checkTypes}
     */

    function $loading(opt_data, opt_ijData, opt_ijData_deprecated) {
      opt_ijData = opt_ijData_deprecated || opt_ijData;
      incrementalDom.elementOpenStart('div');
      incrementalDom.attr('class', 'loading-indicator');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementOpenStart('span');
      incrementalDom.attr('aria-hidden', 'true');
      incrementalDom.attr('class', 'loading-animation');
      incrementalDom.elementOpenEnd();
      incrementalDom.elementClose('span');
      incrementalDom.elementClose('div');
    }

    exports.loading = $loading;

    if (goog.DEBUG) {
      $loading.soyTemplateName = 'com.liferay.change.tracking.change.lists.history.web.ChangeListsHistory.loading';
    }

    exports.render.params = ["spritemap", "processEntries", "loaded"];
    exports.render.types = {
      "spritemap": "string",
      "processEntries": "list<[\n\t\tname: string,\n\t\tdescription: string,\n\t\tdetailsLink: string,\n\t\tpercentage: int,\n\t\tstate: string,\n\t\ttimestamp: string,\n\t\tuserInitials: string,\n\t\tuserName: string\n\t]>",
      "loaded": "bool"
    };
    exports.processCard.params = ["spritemap", "cardState", "changeListName", "changeListDescription", "changeListDetailsLink", "labelState", "labelText", "percentage", "timestamp", "userName", "userInitials", "userPortraitURL"];
    exports.processCard.types = {
      "spritemap": "string",
      "cardState": "string",
      "changeListName": "string",
      "changeListDescription": "string",
      "changeListDetailsLink": "string",
      "labelState": "string",
      "labelText": "string",
      "percentage": "int",
      "timestamp": "string",
      "userName": "string",
      "userInitials": "string",
      "userPortraitURL": "string"
    };
    exports.loading.params = [];
    exports.loading.types = {};
    exports.templates = templates = exports;
    return exports;
  });

  var comliferaychangetrackingchangelistshistorywebChangeListsHistory =
  /*#__PURE__*/
  function (_Component) {
    _inherits(comliferaychangetrackingchangelistshistorywebChangeListsHistory, _Component);

    function comliferaychangetrackingchangelistshistorywebChangeListsHistory() {
      _classCallCheck(this, comliferaychangetrackingchangelistshistorywebChangeListsHistory);

      return _possibleConstructorReturn(this, _getPrototypeOf(comliferaychangetrackingchangelistshistorywebChangeListsHistory).apply(this, arguments));
    }

    return comliferaychangetrackingchangelistshistorywebChangeListsHistory;
  }(_metalComponent.default);

  exports.comliferaychangetrackingchangelistshistorywebChangeListsHistory = comliferaychangetrackingchangelistshistorywebChangeListsHistory;

  _metalSoy.default.register(comliferaychangetrackingchangelistshistorywebChangeListsHistory, templates);

  var _default = templates;
  /* jshint ignore:end */

  exports.default = _default;
  //# sourceMappingURL=ChangeListsHistory.soy.js.map
});
//# sourceMappingURL=ChangeListsHistory.soy.js.map